Creates a new purchase order order line
Request Information
URI Parameters :
None.
Body Parameters :
purchase_order_details| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| purchase_order_id |
Foreign key of the purchase_order |
globally unique identifier |
Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided |
| purchase_order_reference_back_office |
Embedded entity "purchase_order" using ERP PK when adding/updating |
string |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| purchase_order |
Embedded entity "purchase_order" when adding/updating |
purchase_order |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| line_number |
Line Number, auto filled with (Highest+1) if value is 0/null |
integer | |
| code |
Code of the article (auto filled if empty) |
string |
Max length: 255 |
| supplier_code |
Code of the supplier for this article |
string |
Max length: 255 |
| name |
Article Name (will be auto filled if article.name+description are empty) |
string |
Max length: 255 |
| description |
Article description (will be auto filled by article.short_description if name+description are empty) |
string |
Max length: 255 |
| price |
Unit Price |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ Range: inclusive between 0.1 and 1.79769313486232E+308 |
| quantity |
Quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| memo |
Line memo/remark |
string | |
| cost_price |
Unit Cost Price (statistic purpose) |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "ac80a506-ebec-40ed-b6a6-92ffce0fe734",
"purchase_order_id": "f5dfb0ec-c9f6-4562-90d3-e9b11352a31c",
"purchase_order_reference_back_office": "sample string 3",
"purchase_order": {
"id": "afa0ba53-04dc-40f3-9f88-a46b72374ed4",
"id2": 2,
"jobs_id": "1aa11336-2fb4-4865-bd4c-83f4179a844f",
"jobs_reference_back_office": "sample string 4",
"supplier_company_id": "d0d2f965-cee7-49bf-b2d3-e0d92e4ae5ae",
"supplier_company_code": "sample string 6",
"user_id": "29aed00a-eaa2-4124-b716-d5869d37eaa9",
"user_code": "sample string 8",
"description": "sample string 9",
"memo": "sample string 10",
"total_lines": 11,
"date_create": "2026-11-21T19:44:05.8662903+00:00",
"date_update": "2026-11-21T19:44:05.8847586+00:00",
"date_delivery": "2026-11-21T19:44:05.8847586+00:00",
"confirmed_date_delivery": "2026-11-21T19:44:05.8847586+00:00",
"delivery_db_address_id": "e86094c5-a4e1-4193-8f7e-6e7c58411838",
"approved_by_user_id": "acfac748-43e4-49cc-a620-c81244d05b9e",
"approved_by_user_code": "sample string 18",
"technical_user_id": "561fec8b-cbb9-46ce-9aa9-529224cbeb4c",
"technical_user_code": "sample string 20",
"purchase_order_status_id": "c0a41738-fa4c-4e88-bfe9-05929e6e1284",
"purchase_order_status_code": "sample string 22",
"article_stock_location_id": "94013d7a-7b5b-4e90-8806-84dc9e43f683",
"is_pickup": true,
"reference_back_office": "sample string 25",
"modified_dateutc": "2026-11-21T19:44:05.8847586+00:00"
},
"article_id": "c4a96023-fa26-4284-a45b-f6e90abcfa54",
"article_code": "sample string 5",
"article": {
"id": "45d987f4-e6d6-4de0-b3a6-61683d9ccb9c",
"article_category_id": "9036fad9-c031-418c-bba5-fc09e6009adf",
"article_category": {
"id": "0dd7a0b8-7bfd-4b28-b2a2-0479df04131e",
"parent_id": "d7d20c4a-caa7-41e8-8797-52503c8ad878",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-11-21T19:44:05.8847586+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "95e27312-f095-4833-b6b9-3574a51b0cc0",
"article_group_1_code": "sample string 5",
"article_group_2_id": "82b1ba52-b667-4515-885d-fc8ae636f330",
"article_group_2_code": "sample string 7",
"article_group_3_id": "c13416d1-67ea-4910-a232-7e4dbf5ed3c5",
"article_group_3_code": "sample string 9",
"article_group_4_id": "61157102-f2bf-483b-9eae-e6fb74618b1b",
"article_group_4_code": "sample string 11",
"article_group_5_id": "d40abb9f-f52b-4332-8dd4-e9975fac052c",
"article_group_5_code": "sample string 13",
"article_group_6_id": "4925c1da-b052-4ed4-b19e-2a95c97668fc",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-11-21T19:44:05.8847586+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-11-21T19:44:05.8847586+00:00",
"date_update": "2026-11-21T19:44:05.8847586+00:00",
"modified_dateutc": "2026-11-21T19:44:05.8847586+00:00",
"article_color_id": "50435fb7-eac0-442d-a25e-3c8b3dcbf7a9",
"article_color_code": "sample string 38",
"article_color": {
"id": "cb87ea70-8404-46d6-ab44-d14fdefea3de",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-11-21T19:44:05.8847586+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "bb29bc18-8702-458a-a30d-5f039e56c446",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "bdb7f251-eac8-4b30-a55f-6c7a2710560b",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"line_number": 6,
"code": "sample string 7",
"supplier_code": "sample string 8",
"name": "sample string 9",
"description": "sample string 10",
"price": 11.0,
"quantity": 12.0,
"memo": "sample string 13",
"cost_price": 14.0,
"reference_back_office": "sample string 15",
"modified_dateutc": "2026-11-21T19:44:05.897534+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.